Subject: Re: bug#68375: 29.1; lispref documentation fixes

From: Eli Zaretskii <[email-masked]>
Date: Thu, 11 Jan 2024 17:33:17 +0200

> From: Stephen Berman <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Thu, 11 Jan 2024 16:18:48 +0100
> 
> On Thu, 11 Jan 2024 16:51:39 +0200 Eli Zaretskii <[email-masked]> wrote:
> 
> >> From: Stephen Berman <[email-masked]>
> >> Cc: [email-masked],  [email-masked]
> >> Date: Thu, 11 Jan 2024 14:44:35 +0100
> >>
> >> On Thu, 11 Jan 2024 12:46:34 +0200 Eli Zaretskii <[email-masked]> wrote:
> >>
> >> >> From: Xiyue Deng <[email-masked]>
> >> >> Date: Wed, 10 Jan 2024 14:56:23 -0800
> >> >>
> >> >> Please find the attached patches for a cumulation of documentation fixes
> >> >> for lispref up to chapter 19 that includes typos, formatting, etc.
> >> >> Please let me know if any changes need improvements and I'll adjust
> >> >> accordingly.
> >> >
> >> > Thanks.  See below.
> >> [...]
> >> >>    A string is a fixed sequence of characters.  It is a type of
> >> >> -sequence called a @dfn{array}, meaning that its length is fixed and
> >> >> +sequence called an @dfn{array}, meaning that its length is fixed and
> >> >
> >> > The "an" here is correct, since in a manual one sees "an array", which
> >> > is correct English.  So I didn't install this part.
> >>
> >> You misread the patch, it changes "a" to "an", which makes the text
> >> correct English.
> >
> > Oops.
> >
> >> I thought I'd save you some work by installing the patch myself,
> >> which I just did, but unfortunately to master instead of emacs-29
> >> (and also forgot to add the bug number).  Should I revert it and
> >> install to the release branch?  Sorry for the trouble.
> >
> > You could have simply cherry-picked it to emacs-29.
> 
> Is it possible to do that with VC?

No, not that I know of.

> I didn't find the term in the source code, only in
> admin/notes/git-workflow, which only shows the git command (and says
> to "add 'Backport:' to the commit string", which is another
> attention block I could well stumble over...).

If you cherry-pick with the -x option, gitmerge.el will recognize the
cherry-picks automatically, and there's no need for the "backport"
indication.